package com.tistory.uiandwe;

import java.util.Date;
import java.util.Timer;
import java.util.TimerTask;
import java.util.concurrent.TimeUnit;
import android.app.Activity;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Typeface;
import android.os.Bundle;
import android.view.MotionEvent;
import android.view.SurfaceHolder;
import android.view.SurfaceView;
import android.view.SurfaceHolder.Callback;

public class font extends Activity implements Callback {
    /** Called when the activity is first created. */
	int sec = 0;
	private SurfaceView surface;
	private SurfaceHolder holder;
	private Paint backgroundPaint;
	private Paint mPaint;
	private GameLoop gameLoop;
	private Typeface mFace;
	private String fontpath = "font/deathnote.ttf";
	private int fontsize = 30;
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        backgroundPaint = new Paint();
		backgroundPaint.setColor(Color.WHITE);
		
				
		surface = (SurfaceView) findViewById(R.id.surfaceview);
		holder = surface.getHolder();
		surface.getHolder().addCallback(this);
		
		mFace = Typeface.createFromAsset(getAssets(),fontpath);
		mPaint = new Paint();
		mPaint.setColor(Color.BLACK);
		mPaint.setTextSize(fontsize);
		mPaint.setTypeface(mFace);
		/*
        TimerTask second = new TimerTask() {
			public void run() {
				sec++;
			}
		};
		Timer timer = new Timer();
		timer.schedule(second, 10, 1000);
		*/
    }
    protected void onPause() {
		super.onPause();		
	}
    protected void onResume() {
		super.onResume();		
	}

	public void surfaceChanged(SurfaceHolder holder, int format, int width,
			int height) {
		
	}

	public void surfaceCreated(SurfaceHolder holder) {
		gameLoop = new GameLoop();
		gameLoop.start();
	}
	public void surfaceDestroyed(SurfaceHolder holder) {
		try {
			gameLoop.safeStop();
			gameLoop.join();

		} catch (InterruptedException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} finally {
			gameLoop = null;
		}
	}

	
    
    private void draw() {
		Canvas c = null;
		try {			
			c = holder.lockCanvas();
			
			if (c != null) {
				doDraw(c);
			}
		} finally {
			if (c != null) {
				holder.unlockCanvasAndPost(c);
			}
		}
	}
    private void doDraw(Canvas c) {
		int width = c.getWidth();
		int height = c.getHeight();

		c.drawRect(0, 0, width, height, backgroundPaint);
		c.drawText(new Date().toString(), 10, 100, mPaint);
    }
    @Override
    public boolean onTouchEvent(MotionEvent me) {
        return false;
    }
    
    
    private class GameLoop extends Thread {
		private volatile boolean running = true;

		public void run() {
			while (running) {
				try {
					TimeUnit.MILLISECONDS.sleep(50);
					draw();					
				} catch (InterruptedException ie) {
					running = false;
				}
			}
		}
		public void safeStop() {
			running = false;
			interrupt();
		}
	}
}